# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_frameparams_t Struct Reference

`#include <dirac_types.h>`

List of all members.

## Public Attributes

- dirac_frame_type_t ftype
- dirac_reference_type_t rtype
- int fnum

## Detailed Description

Structure that holds the frame parameters

## Member Data Documentation

int dirac_frameparams_t::fnum

frame number in decoded order

dirac_frame_type_t dirac_frameparams_t::ftype

frame type

dirac_reference_type_t dirac_frameparams_t::rtype

reference type

The documentation for this struct was generated from the following file:

- dirac_types.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.